$! -----------------
$! Set up the logical names necessary to run the IPOP3D daemon
$! Each should be tailored to the local system requirements.
$!
$! In this code, we assume that a root directory has been set up for IPOP3D
$! having the following structure:
$!  [000000]    Root directory, contains this command procedure
$!  [BIN_VAX]   Executables for the VAX architecture
$!  [BIN_ALPHA] Executables for the ALPHA architecture
$!  [CONFIG]    Common configuration directory
$!  [LOGS]	Logfile directory
$!
$!
$!	See Also the CCLIENT_SETUP.COM module, for logical names that
$!	affect the daemon indirectly.
$!						Andy Harper, April 1997
$! -----------------
$!
$! -----------------
$! Root and configuration directory
$! -----------------
$ node = f$getsyi("NODENAME")
$ defsys = "define /system /exec"
$ thisdir = f$parse("Z.Z;",f$environment("PROCEDURE"),,,"NO_CONCEAL") - "Z.Z;"
$ rootdir = thisdir - "][" - "]" - "000000" + "]"
$ if f$extract(f$length(rootdir)-2,-1,rootdir) .nes. ".]" then -
  rootdir = rootdir - "]" + ".]"
$ defsys /tran=conc	ipop3d_root	'rootdir			! Root
$ defsys		ipop3d_conf_dir	ipop3d_root:[config]		! Config
$
$
$! -----------------
$! location of architecture specific image(s)
$! -----------------
$ Arch = "VAX"
$ if f$getsyi("VERSION") .ges. "V5.5" then $ Arch = f$getsyi("ARCH_NAME")
$ defsys		ipop3d_dir	ipop3d_root:[bin_'arch']	! Executables
$ defsys		ipop3d_exe	ipop3d_dir:ipop3d.exe	! The daemon
