$!
$!      O p e n V M S - P I N E  c o n f i g u r a t i o n
$!      --------------------------------------------------
$!
$!	Version 1.0 - Claudio Allocchio
$!
$ on error then goto error_exit
$ on control_y then goto error_exit
$!
$ say= "write sys$output"
$ write= "write"
$ delete= "delete"
$ create= "create"
$ purge= "purge"
$ VAX = (f$getsyi("HW_MODEL") .le. 1023)
$! Time stamp of job execution
$ now = f$time()
$ tstamp = f$cvtime(now)
$ tstamp = f$extract(2,2,tstamp)+ -
	   f$extract(5,2,tstamp)+ -
	   f$extract(8,2,tstamp)+ -
	   f$extract(11,2,tstamp)+ -
	   f$extract(14,2,tstamp)
$!
$ if P1 .eqs. "" then P1 = "STANDALONE"
$ if P1 .eqs. "INSTALL" then goto cnt1
$ create sys$output

			PINE for OpenVMS Setup Procedure

This procedure performs the configuration of PINE for OpenVMS utility on
your system.

This procedure MUST be executed from PINE_ROOT:[000000] directory, and 
your TCP/IP support (like Multinet TGV) MUST also be UP and Running.

If you are not in the PINE_ROOT:[000000] directory, exit now, set default
there and restart this procedure.
$!
$ say " "
$ inquire  yesno  "  Are you ready to go?  [NO]"
$ if  .not.yesno  then exit
$!
$ cnt1:
$ procedure= F$ENVIRONMENT ("DEFAULT")
$ PINE_dsk= F$PARSE (PROCEDURE,,,"DEVICE")
$ PINE_dir= "''PINE_dsk'" + F$PARSE (PROCEDURE,,,"DIRECTORY")
$!
$ IF  PINE_dir .eqs. "PINE_ROOT:[000000]" THEN GOTO ok1
$ logical_dir = f$trnlnm("PINE_ROOT") - ".]" + "]"
$ IF  PINE_dir .eqs. logical_dir THEN GOTO ok1
$ PINE_dsk = PINE_dsk - ":"
$ PINE_dsk = f$trnlnm(PINE_dsk)
$ PINE_dir= "''PINE_dsk'" + F$PARSE (PROCEDURE,,,"DIRECTORY")
$ IF  PINE_dir .eqs. logical_dir THEN GOTO ok1
$ create  sys$output

***  The directory from which you are executing the procedure IS NOT
***  the PINE_ROOT:[000000] one. Please correct the problem and reinitiate 
***  this configuration procedure.

$ EXIT
$ ok1:
$!
$! Check for existence of TGV/Multinet TCP/IP
$!
$ if F$EDIT (F$TRNLNM ("MULTINET","LNM$SYSTEM_TABLE"),"TRIM,UPCASE") .nes. "" -
  then goto tgv_is_up
$ create sys$output

***  The TGV/Multinet TCP/IP is not active on this node.
***  Some defaul proposed values will be undefined. Continuing...

$!
$ tgv_is_up:
$!
$ say " "
$ if f$search("PINE_ROOT:[000000]PINE_SETUP.COM") .nes. "" then -
  copy/log/noconf PINE_ROOT:[000000]PINE_SETUP.COM PINE_ROOT:[000000]PINE_SETUP.COM_'tstamp'
$ if f$search("IMAPD_ROOT:[000000]IMAPD_SETUP.COM") .nes. "" then -
  copy/log/noconf IMAPD_ROOT:[000000]IMAPD_SETUP.COM IMAPD_ROOT:[000000]IMAPD_SETUP.COM_'tstamp'
$ if f$search("IPOP3D_ROOT:[000000]IPOP3D_SETUP.COM") .nes. "" then -
  copy/log/noconf IPOP3D_ROOT:[000000]IPOP3D_SETUP.COM IPOP3D_ROOT:[000000]IPOP3D_SETUP.COM_'tstamp'
$ if f$search("IMAPD_ROOT:[000000]CCLIENT_SETUP.COM") .nes. "" then -
  copy/log/noconf IMAPD_ROOT:[000000]CCLIENT_SETUP.COM IMAPD_ROOT:[000000]CCLIENT_SETUP.COM_'tstamp'
$ if f$search("PINE_CONF_DIR:PINE.CONF-FIXED") .nes. "" then -
  copy/log/noconf PINE_CONF_DIR:PINE.CONF-FIXED PINE_CONF_DIR:PINE.CONF-FIXED_'tstamp'
$ if f$search("PINE_CONF_DIR:PINE.CONF") .nes. "" then -
  copy/log/noconf PINE_CONF_DIR:PINE.CONF PINE_CONF_DIR:PINE.CONF_'tstamp'
$ if f$search("IMAPD_CONF_DIR:IMAPD.CONF") .nes. "" then -
  copy/log/noconf IMAPD_CONF_DIR:IMAPD.CONF IMAPD_CONF_DIR:IMAPD.CONF_'tstamp'
$!
$ say " "
$ say "Creating PINE_SETUP.TEMPLATE..."
$ create/log PINE_ROOT:[000000]PINE_SETUP.TEMPLATE
$DECK
$! -----------------
$! Set up the logical names necessary to run PINE
$! Each should be tailored to the local system requirements.
$!
$! In this code, we assume that a root directory has been set up for PINE
$! having the following structure:
$!  [000000]    Root directory, contains this command procedure
$!  [BIN_VAX]   Executables for the VAX architecture
$!  [BIN_ALPHA] Executables for the ALPHA architecture
$!  [CONFIG]    Common configuration directory
$!  [LOGS]	Logfile directory
$!
$!						Andy Harper, August 1996
$! -----------------
$!
$! -----------------
$! Root and configuration directory
$! -----------------
$ defsys = "define /system /exec"
$ thisdir = f$parse("Z.Z;",f$environment("PROCEDURE"),,,"NO_CONCEAL") - "Z.Z;"
$ rootdir = thisdir - "][" - "]" - "000000" + "]"
$ if f$extract(f$length(rootdir)-2,-1,rootdir) .nes. ".]" then -
  rootdir = rootdir - "]" + ".]"
$ defsys /tran=conc	pine_root	'rootdir		! Root
$ defsys		pine_conf_dir	pine_root:[config]	! Config
$
$! -----------------
$! location of architecture specific image(s)
$! -----------------
$ Arch = "VAX"
$ if f$getsyi("VERSION") .ges. "V5.5" then $ Arch = f$getsyi("ARCH_NAME")
$ defsys		pine_dir	pine_root:[bin_'arch']	! Executables
$ defsys		pine_exe	pine_dir:pine.exe	! Pine itself
$ defsys		pine_pico_exe	pine_dir:pico.exe	! Pine editor
$
$! -----------------
$! The mail queue to use for sending mail
$!
$!   Provide an alternative means of sending outgoing mail if no smtp-server
$!   is defined in the any of the PINE configuration files. If one is, then
$!   it overrides this section.
$!
$!   If MULTINET SMTP is available, or if the freeware package VMS-SENDMAIL
$!   is installed, you can define this logical name to the name of the
$!   batch queue used for processing mail.
$!
$!   If this logical is not defined, then callable mail will be used to send
$!   the message.
$!
$! -----------------
%%1$! defsys		pine_sendmail_queue	%%sendmail-queue%%
$
$
$! -----------------
$! The mail protocol to be used for sending mail
$!
$!   This should be defined as the VMS MAIL prefix used in front of SMTP
$!   based mail. For example, if you normally send mail using an address like:
$!	MX%"user@site"
$!
$!   then define it as "MX"
$!
$!   If an smtp-server host is defined in the pine.conf file(s), then PINE
$!   ignores this setting when sending outgoing messages and attempts to use 
$!   its internal SMTP to make a connection to the specified host(s).
$! -----------------
$ defsys		pine_mail_protocol	"%%smtp-pref%%"
$EOD
$!
$! ============================================================================
$ say " "
$ say "Creating IMAPD_SETUP.TEMPLATE..."
$ create/log IMAPD_ROOT:[000000]IMAPD_SETUP.TEMPLATE
$DECK
$! -----------------
$! Set up the logical names necessary to run the IMAPD daemon
$! Each should be tailored to the local system requirements.
$!
$! In this code, we assume that a root directory has been set up for IMAPD
$! having the following structure:
$!  [000000]    Root directory, contains this command procedure
$!  [BIN_VAX]   Executables for the VAX architecture
$!  [BIN_ALPHA] Executables for the ALPHA architecture
$!  [CONFIG]    Common configuration directory
$!  [LOGS]	Logfile directory
$!
$!
$!	See Also the CCLIENT_SETUP.COM module, for logical names that
$!	affect the daemon indirectly.
$!						Andy Harper, August 1996
$! -----------------
$!
$! -----------------
$! Root and configuration directory
$! -----------------
$ node = f$getsyi("NODENAME")
$ defsys = "define /system /exec"
$ thisdir = f$parse("Z.Z;",f$environment("PROCEDURE"),,,"NO_CONCEAL") - "Z.Z;"
$ rootdir = thisdir - "][" - "]" - "000000" + "]" 
$ if f$extract(f$length(rootdir)-2,-1,rootdir) .nes. ".]" then -
  rootdir = rootdir - "]" + ".]" 
$ defsys /tran=conc	imapd_root	'rootdir			! Root
$ defsys		imapd_conf_dir	imapd_root:[config]		! Config
$
$! -----------------
$! location of architecture specific image(s)
$! -----------------
$ Arch = "VAX"
$ if f$getsyi("VERSION") .ges. "V5.5" then $ Arch = f$getsyi("ARCH_NAME")
$ defsys		imapd_dir	imapd_root:[bin_'arch']	! Executables
$ defsys		imapd_exe	imapd_dir:imapd.exe	! The daemon
$
$
$! -----------------
$! Logging -- define these logicals to get a logfile for each IMAPD activation
$!
$!	IMAPD_LOGFILE defines where the logging goes
$!	IMAPD_LOGLEVEL defines the level of detail 0=none, 10 = highest
$!
$!	Either not defined, or the file inaccessible, gives no logging.
$!
$! -----------------
%%1$! defsys		imapd_logfile	imapd_root:[logs]imapd-'node'.log
%%1$! defsys		imapd_loglevel  %%log-level%%
$
$
$! -----------------
$! Alerts  -- if this logical is defined to a readable text file, the contents
$!		of that file are sent to the IMAP client when it is started and
$!		at any time that the contents are changed.
$!		Each line of the file is sent to the client, in this format:
$!		   * OK [ALERT] text
$!		It is the clients responsibility to detect and display this.
$! -----------------
$ defsys		imapd_alertfile imapd_root:[config]alerts.txt	! Announcements
$
$
$! -----------------
$! Idle timeout -- define this logical to force an idle timeout after 'nn'
$!                 seconds. If not defined, there is no timeout.
$! -----------------
%%2$ defsys		imapd_timeout	%%imapd-timeout%%
$
$! -----------------
$! Login failures -- define this logical to the maximum number of login
$!		     failures the server can accept before disconnecting
$! -----------------
$ defsys		imapd_logtry	%%imapd-logtry%%
$EOD
$!
$! ============================================================================
$ say " "
$ say "Creating IPOP3D_SETUP.TEMPLATE..."
$ create/log IPOP3D_ROOT:[000000]IPOP3D_SETUP.TEMPLATE
$DECK
$! -----------------
$! Set up the logical names necessary to run the IPOP3D daemon
$! Each should be tailored to the local system requirements.
$!
$! In this code, we assume that a root directory has been set up for IPOP3D
$! having the following structure:
$!  [000000]    Root directory, contains this command procedure
$!  [BIN_VAX]   Executables for the VAX architecture
$!  [BIN_ALPHA] Executables for the ALPHA architecture
$!  [CONFIG]    Common configuration directory
$!  [LOGS]	Logfile directory
$!
$!
$!	See Also the CCLIENT_SETUP.COM module, for logical names that
$!	affect the daemon indirectly.
$!						Andy Harper, April 1997
$! -----------------
$!
$! -----------------
$! Root and configuration directory
$! -----------------
$ node = f$getsyi("NODENAME")
$ defsys = "define /system /exec"
$ thisdir = f$parse("Z.Z;",f$environment("PROCEDURE"),,,"NO_CONCEAL") - "Z.Z;"
$ rootdir = thisdir - "][" - "]" - "000000" + "]"
$ if f$extract(f$length(rootdir)-2,-1,rootdir) .nes. ".]" then -
  rootdir = rootdir - "]" + ".]"
$ defsys /tran=conc	ipop3d_root	'rootdir			! Root
$ defsys		ipop3d_conf_dir	ipop3d_root:[config]		! Config
$
$
$! -----------------
$! location of architecture specific image(s)
$! -----------------
$ Arch = "VAX"
$ if f$getsyi("VERSION") .ges. "V5.5" then $ Arch = f$getsyi("ARCH_NAME")
$ defsys		ipop3d_dir	ipop3d_root:[bin_'arch']	! Executables
$ defsys		ipop3d_exe	ipop3d_dir:ipop3d.exe	! The daemon
$EOD
$!
$! ============================================================================
$ say " "
$ say "Creating CCLIENT_SETUP.TEMPLATE..."
$ create/log IMAPD_ROOT:[000000]CCLIENT_SETUP.TEMPLATE
$DECK
$! Purpose:
$!	Set up logical names to control the actions of the C-CLIENT library
$!	Unless otherwise stated, all of these are optional.
$!
$! Author:
$!	1.0	Andy Harper	March 1997	Original Version
$!	1.1	Andy Harper	May 1997	Add missing definition of DEFSYS
$!
$!
$ defsys = "define /system /exec"
$
$! -----------------
$! MAIL.MAI prototyping - this logical must be defined to a valid MAIL.MAI file
$!		so that the C-CLIENT CREATE function can work. The file should
$!		be empty of folders.
$!
$! -----------------
$ defsys	CCLIENT_MAILPROTOTYPE	imapd_conf_dir:mail.mai
$
$
$! -----------------
$! C-Client Logging -- define this logical to get additional logging
$!		information written to the applications debug log
$!		Range is 0 - 25 currently, the higher the value, the more
$!		info will be written.
$!
$!		Note: affects only C-CLIENT modules built with the LOGTRACE
$!		option.
$! -----------------
$! defsys		cclient_loglevel 25
$
$
$
$! -----------------
$! INBOX folder name - if this logical is defined to the name of a mail folder
$!		then, when INBOX is selected as the folder, this folder in the
$!		default mail file will be selected. If not defined, then
$!		NEWMAIL will be selected (which is the standard VMS MAIL inbox).
$!
$! -----------------
%%1$! defsys	CCLIENT_INBOXFOLDERNAME	"%%cclient-inboxfolder%%"
$
$
$! -----------------
$! INBOX filing - if this logical is defined to the name of a mail folder,
$!		then, when INBOX is closed, all SEEN (but not DELETED) messages
$!		will be moved to the named folder. For compatibility with VMS
$!		MAIL, define this to the string "MAIL"; for compatibility with
$!		most other IMAP servers, leave it undefined so that messages
$!		are left where they are.
$!
$! -----------------
%%2$! defsys CCLIENT_AUTOFILEINBOX "%%cclient-autofile%%"
$!
$!
$! -----------------
$! Mailbox Purge/Reclaim -- if this logical is defined, the mailbox is purged
$!			 -- and the deleted bytes reclaimed each time a folder
$!			 -- is closed. Otherwise, purging and reclaiming is not
$!			 -- performed.
$! -----------------
%%3$! defsys CCLIENT_MAILFILE_PURGE_RECLAIM "X"	! actual value unimportant
$!
$!
$! -----------------
$! RFC1405 format control -- Specify how non-mapped local DECnet addresses are
$!                        -- rewritten.
$!	By default, DECnet address formats are converted into RFC822 format
$!	according to the RFC1405 standard for local addresses. Defining this
$!	logical name (to anything) causes an older behaviour: mapping of
$!	"[namespace:.]node::user" results int "user@node"
$!
$!	This logical name is ignored if there is a mapping specified by logical
$!	names for the particular nodename/namespace combination. See below.
$!
$! -----------------
%%4$! defsys		CCLIENT_norfc1405	"X"
$!
$!
$! -----------------
$! DECnet node mappings -- THESE ARE EXAMPLES ONLY. Define for your local nodes
$!
$!	There are several possibilities for a DECnet address and various
$!	logical may be defined to deal with them. The default case is to encode
$!	the DECnet address into the RFC1405 preferred format.
$!
$!	* LOCAL NODES THAT HAVE NO DECNET:
$!		* Address format:	USERNAME
$!		* Default mapping	USERNAME@DOMAIN or USERNAME
$!		* Non-RFC1405 default:  USERNAME@DOMAIN or USERNAME
$!		* Logical name:		CCLIENT_NODE
$!		* Example:
$!		   $ define /system CCLIENT_NODE "cityburg.edu"
$!		* Resultant Mapping:
$!		   USERNAME@cityburg.edu
$!
$!	* DECNET PHASE IV NODES:
$!		* Address format:	NODE::USERNAME
$!		* Default mapping:	"NODE::USERNAME"@DOMAIN
$!		* Non-RFC1405 default:  USERNAME@NODE
$!		* Logical name:		CCLIENT_NODE_'nodename'
$!		* Example:
$!		   $ define /system CCLIENT_NODE_BROWN "brown.cityburg.edu"
$!		* Resultant Mapping:
$!		   USERNAME@brown.cityburg.edu
$!
$!	* DECNET/OSI (Phase V) NODES:
$!		* Address format:	NAMESPACE:.NODE::USERNAME
$!		* Default mapping:	"NAMESPACE:.NODE::USERNAME"@DOMAIN
$!		* Non-RFC1405 default:	USERNAME@NODE
$!		* Logical name:		CCLIENT_NODE_'namespace'_'node'
$!		* Example:
$!		   $ define /system CCLIENT_NODE_LOCAL_GREY "grey.cityburg.edu"
$!		* Resultant Mapping:
$!		   USERNAME@grey.cityburg.edu
$!
$!	Where no logical name can be found to provide the mapping, the DOMAIN
$!	name used is derived from the current host name. This can be configured
$!	to a different domain using the logical name CCLIENT_MAIL11_GW (see
$!	below).
$!
$!	Note that care should be taken to ensure that the resulting DOMAIN is
$!	the same as that specified in PINE.CONF or PINE.CONF-FIXED file for that
$!	node (the 'user-domain' variable). This ensures consistency of address
$!	presentation.
$! -----------------
$! defsys		cclient_node_local_bay		"KCL.AC.UK"
$! defsys		cclient_node_local_alder	"KCL.AC.UK"
$! defsys		cclient_node_local_grove	"KCL.AC.UK"
$! defsys		cclient_node_local_hazel	"HAZEL.CC.KCL.AC.UK"
$! defsys		cclient_node_local_phclus	"MAXWELL.PH.KCL.AC.UK"
$! defsys		cclient_node_local_basher 	"KCL.AC.UK"
$!
$! defsys		cclient_node_bay		"KCL.AC.UK"
$! defsys		cclient_node_alder 		"KCL.AC.UK"
$! defsys		cclient_node_grove		"KCL.AC.UK"
$! defsys		cclient_node_hazel		"HAZEL.CC.KCL.AC.UK"
$! defsys		cclient_node_phclus		"MAXWELL.PH.KCL.AC.UK"
$! defsys		cclient_node_basher		"KCL.AC.UK"
$!
$ defsys		CCLIENT_NODE			"%%local-domain%%"
$!
$!
$! -----------------
$! DECNET Mail11 gateway - Define the name of the gateway machine that can
$!		handle inbound SMTP to DECNET mail routing for an address of
$!		this form:
$!			"NODE::USER"@DOMAIN
$!			"NAMESPACE::.NODE::USER"@DOMAIN
$!
$!		DECNET FROM: addresses not mapped by any of the above formats
$!		will then be mapped into this form. 
$!
$! -----------------
$ defsys		CCLIENT_GW_MAIL11		"%%local-mail11%%"
$!
$!
$! -----------------
$! X.400 Gateway -- Specify the name of an X.400 gateway to add to rewritten
$!		X.400 addresses. Addresses of the form:
$!			MRGATE:"c=gb::a= ::o=org::g=fred"
$!		are rewritten as:
$!			"/c=gb/a= /o=org/g=fred/"@X400-GW
$!
$!		This logical name defines the relay host written instead of the
$!		string "X400-GW"
$!
$! -----------------
$  defsys		CCLIENT_GW_X400		"%%local-x400%%"
$!
$!
$! -----------------
$! RFC822 Header Position -- Allows RFC822 headers to appear at the end
$!                           of the message body.
$!
$!	Normally, the RFC822 mail headers appear at the beginning of the
$!	message. Some mailers can be configured to place them at the end to
$!	make it easier to read messages without having to skip over the headers
$!	first. The headers are separated from the body by a special line.
$!
$!	This logical name specifies the special separator line. If defined, the
$!	message parser will scan for this line in the message body and treat
$!	everything following it as the headers for the message. If the special
$!	line is not found in the message body, the rewritten VMS MAIL headers
$!	will be returned instead and any (apparent) RFC822 headers at the start
$!	of the message body will be treated as text.
$! -----------------
$! defsys		CCLIENT_HEADERS_ATEND	"----- RFC822 HEADERS ---"
$EOD
$!
$! ============================================================================
$ say " "
$ say "Creating PINE.CONF-FIXED-TEMPLATE..."
$ create/log PINE_CONF_DIR:PINE.CONF-FIXED-TEMPLATE
$DECK
# local domain name
user-domain=%%local-domain%%
# SMTP server. If not defined will use VMS-Sendmail or MULTINET queues
smtp-server=%%smtp-server%%
$EOD
$!
$! ============================================================================
$ say " "
$ say "Creating PINE.CONF-TEMPLATE..."
$ create/log PINE_CONF_DIR:PINE.CONF-TEMPLATE
$DECK
# viewer for image attachments
%%1#image-viewer=%%image-viewer%%
# Default INBOX location
inbox-path=NEWMAIL
# Specify a folder collection for the default mailbox
folder-collections=[]
# Specify where we want copies of outgoing mail to be saved
default-fcc=%%fcc-folder%%
$EOD
$!
$! ============================================================================
$ say " "
$ say "Creating IMAPD.CONF-TEMPLATE..."
$ create/log IMAPD_CONF_DIR:IMAPD.CONF-TEMPLATE
$DECK
# This is currently an empty file
$EOD
$!
$! ============================================================================
$ new_questions:
$!
$ dec_node = f$getsyi("NODENAME")
$ local_822_default = ""
$ local_822_domain = ""
$ local_822_gw = ""
$ local_sendmail = ""
$ smtp_queue = ""
$ smtp_pref = "smtp%"
$ use_rfc1405 = ""
$ inbox = ""
$ autofile = ""
$ read_folder = ""
$ mail_purge = ""
$ fcc_folder = ""
$ imapd_loglevel = ""
$ imapd_timeout = ""
$ imapd_logtry = ""
$ image_viewer = ""
$!
$ create sys$output

                  *** Configuring PINE OpenVMS now ***

$!
$ qs1:		! local_822_default
$ say " "
$ d_value = f$trnlnm("MULTINET_HOST_NAME")
$ if f$trnlnm("local_822_domain") .nes. "" then d_value = f$trnlnm("local_822_domain")
$ if f$trnlnm("MULTINET_SMTP_HOST_NAME") .nes. "" then d_value = f$trnlnm("MULTINET_SMTP_HOST_NAME")
$ if f$trnlnm("local_822_default") .nes. "" then d_value = f$trnlnm("local_822_default")
$ if f$trnlnm("CCLIENT_NODE") .nes. "" then d_value = f$trnlnm("CCLIENT_NODE")
$ inquire local_822_default "RFC822 local default domain? [''d_value']"
$ if local_822_default .eqs. "" then local_822_default = d_value
$ if local_822_default .nes. "" then goto qs2
$ say " "
$ say "You must define this parameter..."
$ goto qs1
$!
$ qs2:		! local_822_domain
$ say " "
$ d_value = f$trnlnm("MULTINET_HOST_NAME")
$ if f$trnlnm("local_822_domain") .nes. "" then d_value = f$trnlnm("local_822_domain")
$ if f$trnlnm("CCLIENT_GW_MAIL11") .nes. "" then d_value = f$trnlnm("CCLIENT_GW_MAIL11")
$ inquire local_822_domain "RFC822 address of Mail-11 (DECnet) gateway? [''d_value']"
$ if local_822_domain .eqs. "" then local_822_domain = d_value
$ if local_822_domain .nes. "" then goto qs3
$ say " "
$ say "You must define this parameter..."
$ goto qs2
$!
$ qs3:		! local_822_gw
$ say " "
$ d_value = "cosine-gw.infn.it"
$ if f$trnlnm("local_822_gw") .nes. "" then d_value = f$trnlnm("local_822_gw")
$ if f$trnlnm("CCLIENT_GW_X400") .nes. "" then d_value = f$trnlnm("CCLIENT_GW_X400")
$ inquire local_822_gw "RFC822 address of X.400 gateway?  [''d_value']"
$ if local_822_gw .eqs. "" then local_822_gw = d_value
$ if local_822_gw .nes. "" then goto qs4
$ say " "
$ say "You must define this parameter..."
$ goto qs3
$!
$ qs4:		! local_sendmail
$ d_value = "LOCAL"
$ if f$search("PINE_CONF_DIR:PINE.CONF-FIXED_''tstamp'") .eqs. "" then goto qs4b
$ search/out=PINE_CONF.TMP_'tstamp' PINE_CONF_DIR:PINE.CONF-FIXED_'tstamp' "smtp-server="
$ if .not.$status then goto qs4b
$ record = ""
$ open/read tmp PINE_CONF.TMP_'tstamp'
$ read/err=qs4c tmp record
$ qs4c:
$ close tmp
$ delete/nolog/noconf PINE_CONF.TMP_'tstamp';*
$ record = record - "smtp-server="
$ record = f$edit(record,"TRIM")
$ if record .nes. "" then d_value = record
$ qs4b:
$ create sys$output

 PINE User Agent is a client which uses an SMTP server to send out its mails.
 The server can be:

 - a local VMS-Sendmail installed on the host/cluster where you are installing
   PINE for OpenVMS;

 - a local MULTINET SMTP installed on the host where you are installing PINE
   for OpenVMS;

 - any remote SMTP mail server which you have the right to use as a mail relay
   for your outgoing messages (for example your standalone domain mailer).

  Enter LOCAL to use a local VMS-Sendmail or MULTINET SMTP;
  Enter the RFC822 address of an SMTP server to use a remote SMTP server;

$ inquire local_sendmail "RFC822 address of SMTP Server?  [''d_value']"
$ if local_sendmail .eqs. "" then local_sendmail = d_value
$ if local_sendmail .nes. "" then goto qs5
$ say " "
$ say "You must define this parameter..."
$ goto qs4b
$!
$ qs5:		! smtp_queue
$ if f$trnlnm("GV2$DIR") .eqs. "" then d_value = "MULTINET_SMTP"
$ if f$trnlnm("GV2$DIR") .nes. "" then d_value = "GV2$SMTP_''dec_node'"
$ if f$trnlnm("GV2$QUEUE") .nes. "" then d_value = f$trnlnm("GV2$QUEUE")
$ if f$trnlnm("PINE_SENDMAIL_QUEUE") .nes. "" then d_value = f$trnlnm("PINE_SENDMAIL_QUEUE")
$ if f$edit(local_sendmail,"UPCASE") .nes. "LOCAL" then goto qs5b
$ create sys$output

 PINE will use a local VMS-Sendmail or MULTINET SMTP. Now enter the name of
 the local SMTP queue where outgoing messages will be submitted for delivery.

$ inquire smtp_queue "Local SMTP queue for outgoing messages?  [''d_value']"
$ qs5b:
$ if smtp_queue .eqs. "" then smtp_queue = d_value
$!
$ say " "	! smtp_pref
$ d_value = smtp_pref
$ if f$trnlnm("GV2$SMTP_PREFIX") .nes. "" then d_value = f$trnlnm("GV2$SMTP_PREFIX") - "%"
$ if f$trnlnm("PINE_MAIL_PROTOCOL") .nes. "" then d_value = f$trnlnm("PINE_MAIL_PROTOCOL")
$ inquire smtp_pref "VMSmail SMTP interface prefix?  [''d_value']"
$ if smtp_pref .eqs. "" then smtp_pref = d_value
$!
$ say " "	! use_rfc1405
$ d_value = "YES"
$ if f$trnlnm("CCLIENT_NORFC1405") .nes. "" then d_value = "NO"
$ inquire use_rfc1405 "Use Standard (RFC1405) encoding for Mail-11 addresses?  [''d_value']"
$ if use_rfc1405 .eqs. "" then use_rfc1405 = d_value
$!
$ say " "	! inbox
$ d_value = "NEWMAIL"
$ if f$trnlnm("CCLIENT_INBOXFOLDERNAME") .nes. "" then d_value = f$trnlnm("CCLIENT_INBOXFOLDERNAME")
$ inquire inbox "Default incoming messages folder?  [''d_value']"
$ if inbox .eqs. "" then inbox = d_value
$!
$ say " "	! autofile
$ d_value = "NO"
$ if f$trnlnm("CCLIENT_AUTOFILEINBOX") .nes. "" then d_value = "YES"
$ inquire autofile "Move messages out of ''inbox' after reading?  [''d_value']"
$ if autofile .eqs. "" then autofile = d_value
$!
$ d_value = "MAIL"	! read_folder
$ if f$trnlnm("CCLIENT_AUTOFILEINBOX") .nes. "" then d_value = f$trnlnm("CCLIENT_AUTOFILEINBOX")
$ if autofile then say " "
$ if autofile then -
  inquire read_folder "Default folder for read messages?  [''d_value']"
$ if read_folder .eqs. "" then read_folder = d_value
$!
$ say " "	! mail_purge
$ d_value = "NO"
$ if f$trnlnm("CCLIENT_MAILFILE_PURGE_RECLAIM") .nes. "" then d_value = "YES"
$ inquire mail_purge "Purge deleted messages from folders?  [''d_value']"
$ if mail_purge .eqs. "" then mail_purge = d_value
$!
$ d_value = "SENT-MESSAGES"	! fcc_folder
$ if f$search("PINE_CONF_DIR:PINE.CONF_''tstamp'") .eqs. "" then goto qs6
$ search/out=PINE_CONF.TMP_'tstamp' PINE_CONF_DIR:PINE.CONF_'tstamp' "default-fcc="
$ if .not.$status then goto qs6
$ record = ""
$ open/read tmp PINE_CONF.TMP_'tstamp'
$ read/err=qs6b tmp record
$ qs6b:
$ close tmp
$ delete/nolog/noconf PINE_CONF.TMP_'tstamp';*
$ record = record - "default-fcc="
$ record = f$edit(record,"TRIM")
$ if record .nes. "" then d_value = record
$ qs6:
$ say " "
$ inquire fcc_folder "Default folder for copies of sent messages?  [''d_value']"
$ if fcc_folder .eqs. "" then fcc_folder = d_value
$!
$ say " "	! imapd_loglevel
$ d_value = 0
$ if f$trnlnm("IMAPD_LOGLEVEL") .nes. "" then d_value = f$trnlnm("IMAPD_LOGLEVEL")
$ inquire imapd_loglevel "IMAPD Log level (0=no log)?  [''d_value']"
$ if imapd_loglevel .eqs. "" then imapd_loglevel = d_value
$!
$ say " "	! imapd_timeout
$ d_value = 1800
$ if f$trnlnm("IMAPD_TIMEOUT") .nes. "" then d_value = f$trnlnm("IMAPD_TIMEOUT")
$ inquire imapd_timeout "IMAPD Server timeout (seconds)?  [''d_value']"
$ if imapd_timeout .eqs. "" then imapd_timeout = d_value
$!
$ say " "	! imapd_logtry
$ d_value = 3
$ if f$trnlnm("IMAPD_LOGTRY") .nes. "" then d_value = f$trnlnm("IMAPD_LOGTRY")
$ inquire imapd_logtry "IMAPD Max Login attempts?  [''d_value']"
$ if imapd_logtry .eqs. "" then imapd_logtry = d_value
$!
$ d_value = "NONE"	! image_viewer
$ if f$type(XV) .nes. "" then d_value = "xv"
$ if f$search("PINE_CONF_DIR:PINE.CONF_''tstamp'") .eqs. "" then goto qs7
$ search/out=PINE_CONF.TMP_'tstamp' PINE_CONF_DIR:PINE.CONF_'tstamp' "image-viewer="
$ if .not.$status then goto qs7
$ record = ""
$ open/read tmp PINE_CONF.TMP_'tstamp'
$ read/err=qs7b tmp record
$ qs7b:
$ close tmp
$ delete/nolog/noconf PINE_CONF.TMP_'tstamp';*
$ record = record - "image-viewer="
$ record = f$edit(record,"TRIM")
$ if record .nes. "" then d_value = record
$ qs7:
$ say " "
$ inquire image_viewer "External Image Viewer Utility?  [''d_value']"
$ if image_viewer .eqs. "" then image_viewer = d_value
$!
$ say " "
$ say " Local RFC822 Domain:       ''local_822_default'"
$ say " Mail-11 Gateway Address:   ''local_822_domain'"
$ say " X.400 Gateway Address:     ''local_822_gw'"
$ say " SMTP Server:               ''local_sendmail'"
$ if f$edit(local_sendmail,"UPCASE") .eqs. "LOCAL" then -
  say " Local SMTP Queue:          ''smtp_queue'"
$ say " VMSmail SMTP Prefix:       ''smtp_pref'"
$ say " Standard Mail-11 Encoding: ''use_rfc1405'"
$ say " Default INBOX Folder:      ''inbox'"
$ say " Automove Read Messages:    ''autofile'"
$ if autofile then -
  say " Read Messages Folder:      ''read_folder'"
$ say " Purge Deleted Messages:    ''mail_purge'"
$ say " Self-Copy Folder:          ''fcc_folder'"
$ say " IMAPD Log Level:           ''imapd_loglevel'"
$ say " IMAPD Timeout:             ''imapd_timeout'"
$ say " IMAPD Max Login Attempts:  ''imapd_logtry'"
$ say " External Image Viewer:     ''image_viewer'"
$ say " "
$ inquire yesno "  Are the above data correct? [YES]"
$ if yesno .eqs. "" then yesno = "YES"
$ if .not.yesno then goto new_questions
$ say " "
$!
$ open/write cmd PINE_CONFIG_EDT.TMC_'tstamp'
$ write cmd "$ EDIT = ""EDIT"""
$ write cmd "$ EDIT/EDT PINE_ROOT:[000000]PINE_SETUP.TEMPLATE"
$ write cmd "S/%%sendmail-queue%%/''smtp_queue'/ whole/notype"
$ write cmd "S/%%smtp-pref%%/''smtp_pref'/ whole/notype
$ if f$edit(local_sendmail,"UPCASE") .eqs. "LOCAL" then -
  write cmd "S/%%1$!/$/ whole/notype
$ if f$edit(local_sendmail,"UPCASE") .nes. "LOCAL" then -
  write cmd "S/%%1$!/$!/ whole/notype
$ write cmd "exit PINE_ROOT:[000000]PINE_SETUP.COM"
$ close cmd
$ define sys$output nl:
$ @PINE_CONFIG_EDT.TMC_'tstamp'
$ deass sys$output
$ delete/nolog/noconf PINE_CONFIG_EDT.TMC_'tstamp';*
$ say "PINE_ROOT:[000000]PINE_SETUP.COM Created..."
$!
$ open/write cmd PINE_CONFIG_EDT.TMC_'tstamp'
$ write cmd "$ EDIT = ""EDIT"""
$ write cmd "$ EDIT/EDT IMAPD_ROOT:[000000]IMAPD_SETUP.TEMPLATE"
$ write cmd "S/%%log-level%%/''imapd_loglevel'/ whole/notype"
$ if imapd_loglevel .eq. 0 then write cmd "S/%%1$!/$!/ whole/notype
$ if imapd_loglevel .ne. 0 then write cmd "S/%%1$!/$/ whole/notype
$ write cmd "S/%%imapd-timeout%%/''imapd_timeout'/ whole/notype"
$ if imapd_timeout .eq. 0 then write cmd "S/%%2$/$!/ whole/notype
$ if imapd_timeout .ne. 0 then write cmd "S/%%2$/$/ whole/notype
$ write cmd "S/%%imapd-logtry%%/''imapd_logtry'/ whole/notype"
$ write cmd "exit IMAPD_ROOT:[000000]IMAPD_SETUP.COM"
$ close cmd
$ define sys$output nl:
$ @PINE_CONFIG_EDT.TMC_'tstamp'
$ deass sys$output
$ delete/nolog/noconf PINE_CONFIG_EDT.TMC_'tstamp';*
$ say "IMAPD_ROOT:[000000]IMAPD_SETUP.COM Created..."
$!
$ copy/nolog/noconf IPOP3D_ROOT:[000000]IPOP3D_SETUP.TEMPLATE -
                    IPOP3D_ROOT:[000000]IPOP3D_SETUP.COM
$ say "IPOP3_ROOT:[000000]IPOP3D_SETUP.COM Created..."
$!
$ open/write cmd PINE_CONFIG_EDT.TMC_'tstamp'
$ write cmd "$ EDIT = ""EDIT"""
$ write cmd "$ EDIT/EDT IMAPD_ROOT:[000000]CCLIENT_SETUP.TEMPLATE"
$ write cmd "S/%%cclient-inboxfolder%%/''inbox'/ whole/notype"
$ if f$edit(inbox,"UPCASE") .eqs. "NEWMAIL" then -
  write cmd "S/%%1$!/$!/ whole/notype
$ if f$edit(inbox,"UPCASE") .nes. "NEWMAIL" then -
  write cmd "S/%%1$!/$/ whole/notype
$ write cmd "S/%%cclient-autofile%%/''read_folder'/ whole/notype"
$ if autofile then write cmd "S/%%2$!/$/ whole/notype
$ if .not.autofile then write cmd "S/%%2$!/$!/ whole/notype
$ if mail_purge then write cmd "S/%%3$!/$/ whole/notype
$ if .not.mail_purge then write cmd "S/%%3$!/$!/ whole/notype
$ if use_rfc1405 then write cmd "S/%%4$!/$!/ whole/notype
$ if .not.use_rfc1405 then write cmd "S/%%4$!/$/ whole/notype
$ write cmd "S/%%local-domain%%/''local_822_default'/ whole/notype"
$ write cmd "S/%%local-mail11%%/''local_822_domain'/ whole/notype"
$ write cmd "S/%%local-x400%%/''local_822_gw'/ whole/notype"
$ write cmd "exit IMAPD_ROOT:[000000]CCLIENT_SETUP.COM"
$ close cmd
$ define sys$output nl:
$ @PINE_CONFIG_EDT.TMC_'tstamp'
$ deass sys$output
$ delete/nolog/noconf PINE_CONFIG_EDT.TMC_'tstamp';*
$ say "IMAPD_ROOT:[000000]CCLIENT_SETUP.COM Created..."
$!
$ open/write cmd PINE_CONFIG_EDT.TMC_'tstamp'
$ write cmd "$ EDIT = ""EDIT"""
$ write cmd "$ EDIT/EDT PINE_CONF_DIR:PINE.CONF-FIXED-TEMPLATE"
$ write cmd "S/%%local-domain%%/''local_822_default'/ whole/notype"
$ if f$edit(local_sendmail,"UPCASE") .eqs. "LOCAL" then -
  write cmd "S/%%smtp-server%%// whole/notype
$ if f$edit(local_sendmail,"UPCASE") .nes. "LOCAL" then -
  write cmd "S/%%smtp-server%%/''local_sendmail'/ whole/notype
$ write cmd "exit PINE_CONF_DIR:PINE.CONF-FIXED"
$ close cmd
$ define sys$output nl:
$ @PINE_CONFIG_EDT.TMC_'tstamp'
$ deass sys$output
$ delete/nolog/noconf PINE_CONFIG_EDT.TMC_'tstamp';*
$ say "PINE_CONF_DIR:PINE.CONF-FIXED Created..."
$!
$ open/write cmd PINE_CONFIG_EDT.TMC_'tstamp'
$ write cmd "$ EDIT = ""EDIT"""
$ write cmd "$ EDIT/EDT PINE_CONF_DIR:PINE.CONF-TEMPLATE"
$ write cmd "S/%%image-viewer%%/''image_viewer'/ whole/notype"
$ if image_viewer .nes. "" then write cmd "S/%%1#// whole/notype
$ if image_viewer .eqs. "" then write cmd "S/%%1#/#/ whole/notype
$ write cmd "S/%%fcc-folder%%/''fcc_folder'/ whole/notype"
$ write cmd "exit PINE_CONF_DIR:PINE.CONF"
$ close cmd
$ define sys$output nl:
$ @PINE_CONFIG_EDT.TMC_'tstamp'
$ deass sys$output
$ delete/nolog/noconf PINE_CONFIG_EDT.TMC_'tstamp';*
$ say "PINE_CONF_DIR:PINE.CONF Created..."
$!
$ copy/nolog/noconf IMAPD_CONF_DIR:IMAPD.CONF-TEMPLATE -
                    IMAPD_CONF_DIR:IMAPD.CONF
$ say "IMAPD_CONF_DIR:IMAPD.CONF Created..."
$!
$ delete/nolog/noconf PINE_ROOT:[000000]PINE_SETUP.TEMPLATE;*
$ delete/nolog/noconf IMAPD_ROOT:[000000]IMAPD_SETUP.TEMPLATE;*
$ delete/nolog/noconf IPOP3D_ROOT:[000000]IPOP3D_SETUP.TEMPLATE;*
$ delete/nolog/noconf IMAPD_ROOT:[000000]CCLIENT_SETUP.TEMPLATE;*
$ delete/nolog/noconf PINE_CONF_DIR:PINE.CONF-FIXED-TEMPLATE;*
$ delete/nolog/noconf PINE_CONF_DIR:PINE.CONF-TEMPLATE;*
$ delete/nolog/noconf IMAPD_CONF_DIR:IMAPD.CONF-TEMPLATE;*
$!
$ purge/nolog/noconf PINE_ROOT:[000000]PINE_SETUP.COM
$ purge/nolog/noconf IMAPD_ROOT:[000000]IMAPD_SETUP.COM
$ purge/nolog/noconf IPOP3D_ROOT:[000000]IPOP3D_SETUP.COM
$ purge/nolog/noconf IMAPD_ROOT:[000000]CCLIENT_SETUP.COM
$ purge/nolog/noconf PINE_CONF_DIR:PINE.CONF-FIXED
$ purge/nolog/noconf PINE_CONF_DIR:PINE.CONF
$ purge/nolog/noconf IMAPD_CONF_DIR:IMAPD.CONF
$!
$ say " "
$ say "Activating new PINE configuration..."
$ say " "
$ @PINE_ROOT:[000000]PINE_SETUP.COM
$ @IMAPD_ROOT:[000000]IMAPD_SETUP.COM
$ @IPOP3D_ROOT:[000000]IPOP3D_SETUP.COM
$ @IMAPD_ROOT:[000000]CCLIENT_SETUP.COM
$ set file/prot=w:r PINE_CONF_DIR:PINE.CONF-FIXED
$ set file/prot=w:r PINE_CONF_DIR:PINE.CONF
$ set file/prot=w:r IMAPD_CONF_DIR:IMAPD.CONF
$!
$ create sys$output

            PINE OpenVMS configuration successfully completed

$ exit
$!
$ error_exit:
$ if f$search("PINE_CONFIG_EDT.TMC_''tstamp'") .nes. "" then -
  delete/nolog/noconf PINE_CONFIG_EDT.TMC_'tstamp';*
$ if f$search("PINE_CONF.TMP_'tstamp'") .nes. "" then -
  delete/nolog/noconf PINE_CONF.TMP_'tstamp';*
$ if f$search("PINE_ROOT:[000000]PINE_SETUP.TEMPLATE") .nes. "" then -
  delete/nolog/noconf PINE_ROOT:[000000]PINE_SETUP.TEMPLATE;*
$ if f$search("IMAPD_ROOT:[000000]IMAPD_SETUP.TEMPLATE") .nes. "" then -
  delete/nolog/noconf IMAPD_ROOT:[000000]IMAPD_SETUP.TEMPLATE;*
$ if f$search("IPOP3D_ROOT:[000000]IPOP3D_SETUP.TEMPLATE") .nes. "" then -
  delete/nolog/noconf IPOP3D_ROOT:[000000]IPOP3D_SETUP.TEMPLATE;*
$ if f$search("IMAPD_ROOT:[000000]CCLIENT_SETUP.TEMPLATE") .nes. "" then -
  delete/nolog/noconf IMAPD_ROOT:[000000]CCLIENT_SETUP.TEMPLATE;*
$ if f$search("PINE_CONF_DIR:PINE.CONF-FIXED-TEMPLATE") .nes. "" then -
  delete/nolog/noconf PINE_CONF_DIR:PINE.CONF-FIXED-TEMPLATE;*
$ if f$search("PINE_CONF_DIR:PINE.CONF-TEMPLATE") .nes. "" then -
  delete/nolog/noconf PINE_CONF_DIR:PINE.CONF-TEMPLATE;*
$ if f$search("IMAPD_CONF_DIR:IMAPD.CONF-TEMPLATE") .nes. "" then -
  delete/nolog/noconf IMAPD_CONF_DIR:IMAPD.CONF-TEMPLATE;*
$!
$ create sys$output

       PINE OpenVMS configure procedure failed due to above error(s).

$ exit
