$! -----------------
$! Set up the logical names necessary to run PINE
$! Each should be tailored to the local system requirements.
$!
$! In this code, we assume that a root directory has been set up for PINE
$! having the following structure:
$!  [000000]    Root directory, contains this command procedure
$!  [BIN_VAX]   Executables for the VAX architecture
$!  [BIN_ALPHA] Executables for the ALPHA architecture
$!  [CONFIG]    Common configuration directory
$!  [LOGS]	Logfile directory
$!
$!						Andy Harper, August 1996
$! -----------------
$!
$! -----------------
$! Root and configuration directory
$! -----------------
$ defsys = "define /system /exec"
$ thisdir = f$parse("Z.Z;",f$environment("PROCEDURE"),,,"NO_CONCEAL") - "Z.Z;"
$ rootdir = thisdir - "][" - "]" - "000000" + "]"
$ if f$extract(f$length(rootdir)-2,-1,rootdir) .nes. ".]" then -
  rootdir = rootdir - "]" + ".]"
$ defsys /tran=conc	pine_root	'rootdir		! Root
$ defsys		pine_conf_dir	pine_root:[config]	! Config
$
$! -----------------
$! location of architecture specific image(s)
$! -----------------
$ Arch = "VAX"
$ if f$getsyi("VERSION") .ges. "V5.5" then $ Arch = f$getsyi("ARCH_NAME")
$ defsys		pine_dir	pine_root:[bin_'arch']	! Executables
$ defsys		pine_exe	pine_dir:pine.exe	! Pine itself
$ defsys		pine_pico_exe	pine_dir:pico.exe	! Pine editor
$
$! -----------------
$! The mail queue to use for sending mail
$!
$!   Provide an alternative means of sending outgoing mail if no smtp-server
$!   is defined in the any of the PINE configuration files. If one is, then
$!   it overrides this section.
$!
$!   If MULTINET SMTP is available, or if the freeware package VMS-SENDMAIL
$!   is installed, you can define this logical name to the name of the
$!   batch queue used for processing mail.
$!
$!   If this logical is not defined, then callable mail will be used to send
$!   the message.
$!
$! -----------------
$! defsys		pine_sendmail_queue	multinet_smtp	! Multinet
$! defsys		pine_sendmail_queue	gv2$smtp_vax	! VMS-sendmail
$
$
$! -----------------
$! The mail protocol to be used for sending mail
$!
$!   This should be defined as the VMS MAIL prefix used in front of SMTP
$!   based mail. For example, if you normally send mail using an address like:
$!	MX%"user@site"
$!
$!   then define it as "MX"
$!
$!   If an smtp-server host is defined in the pine.conf file(s), then PINE
$!   ignores this setting when sending outgoing messages and attempts to use 
$!   its internal SMTP to make a connection to the specified host(s).
$! -----------------
$ defsys		pine_mail_protocol	"MX"
