$! PINEINSTALL.COM - Install PINE from the installation kit prepared by
$! BUILDKIT.COM procedure. The procedure must be run from the root directory 
$! where PINE objects are, the same where you must execute VMSBUILD for 
$! complete package compilation.
$!
$! options are:
$!
$! P1:
$!    null		- Build PINE with TRACEBACK and using the best
$!			  available network stack
$!    NOTRACEBACK	- Force link with NOTRACEBACK
$!    NETLIB		- Force NETLIB support
$!    MULTINET		- Force MULTINET support
$!    NOTCP		- Force no TCP/IP stack support
$!
$!  Claudio Allocchio, Sincrotrone Trieste, 06 Feb 1997
$!  and portions from Andy Harper, Kings College, London UK
$!  Update: v3.91-A, 21 Aug 1997, Claudio Allocchio
$!
$! reset some more common DCL commands
$!
$ authorize= "$authorize"
$ say= "write sys$output"
$ write= "write"
$ library= "library"
$ delete= "delete"
$ create= "create"
$ link= "link"
$ purge= "purge"
$ mc= "mcr"
$ VAX = (f$getsyi("HW_MODEL") .le. 1023)
$ if VAX
$   then archi = "AXP"
$   else archi = "VAX"
$ endif
$!
$ on error then exit
$ procedure_PRIVS = f$setprv("ALL")	! set priv to run installation
$!
$ procedure= F$ENVIRONMENT ("DEFAULT")
$ PINE_dsk= F$PARSE (PROCEDURE,,,"DEVICE")
$ PINE_dir= "''PINE_dsk'" + F$PARSE (PROCEDURE,,,"DIRECTORY")
$!
$! DETERMINE NETWORK SUPPORT
$!
$ HAVENETLIB = f$trnlnm("NETLIB_DIR","LNM$SYSTEM") .nes. ""
$ HAVEMULTINET = f$trnlnm("MULTINET","LNM$SYSTEM") .nes. ""
$ FORCENETLIB = f$locate("NETLIB",P1) .lt. f$length(P1)
$ FORCEMULTINET = f$locate("MULTINET",P1) .lt. f$length(P1)
$ FORCENONET = f$locate("NOTCP",P1) .lt. f$length(P1)
$ if (FORCEMULTINET .and. FORCENETLIB) .or. -
     (FORCEMULTINET .and. FORCENONET) .or. -
     (FORCENETLIB .and. FORCENONET)
$   then
$     say "%PINEINSTALL-E-CONFLTCP, Conflicting TCP stacks specified"
$     w = f$setprv(procedure_PRIVS)
$     exit
$ endif
$
$! Pick best stack available
$ NETSTACK = "NO"
$ if (HAVEMULTINET) then $ NETSTACK = "MULTINET"
$ if (HAVENETLIB)   then $ NETSTACK = "NETLIB"
$
$ if (FORCEMULTINET)
$   then
$     if .not. HAVEMULTINET
$       then
$         say "%PINEINSTALL-E-NOTCP, MULTINET tcp not installed"
$         w = f$setprv(procedure_PRIVS)
$         exit
$     endif
$     NETSTACK = "MULTINET"
$ endif
$
$ if (FORCENETLIB)
$   then
$     if .not. HAVENETLIB
$       then
$         say "%PINEINSTALL-E-NOTCP, NETLIB tcp not installed"
$         w = f$setprv(procedure_PRIVS)
$         exit
$     endif
$     NETSTACK = "NETLIB"
$ endif
$
$ if (FORCENONET)
$   then
$     NETSTACK = "NO"
$ endif
$!
$! now check if we have the appropriate kit available
$!
$ if (NETSTACK .eqs. "NETLIB") .and. VAX .and. -
     (f$search("[.OBJ_VAX]PINE.OBJ_VAXNET") .eqs. "")
$   then
$     say "%PINEINSTALL-E-WRONGKIT, NETLIB/VAX kit not installed"
$     w = f$setprv(procedure_PRIVS)
$     exit
$ endif
$!
$ if (NETSTACK .eqs. "NETLIB") .and. (.not.VAX) .and. -
     (f$search("[.OBJ_ALPHA]PINE.OBJ_AXPNET") .eqs. "")
$   then
$     say "%PINEINSTALL-E-WRONGKIT, NETLIB/AXP kit not installed"
$     w = f$setprv(procedure_PRIVS)
$     exit
$ endif
$!
$ if (NETSTACK .eqs. "MULTINET") .and. VAX .and. -
     (f$search("[.OBJ_VAX]PINE.OBJ_VAXMUL") .eqs. "")
$   then
$     say "%PINEINSTALL-E-WRONGKIT, MULTINET/VAX kit not installed"
$     w = f$setprv(procedure_PRIVS)
$     exit
$ endif
$!
$ if (NETSTACK .eqs. "MULTINET") .and. (.not.VAX) .and. -
     (f$search("[.OBJ_ALPHA]PINE.OBJ_AXPMUL") .eqs. "")
$   then
$     say "%PINEINSTALL-E-WRONGKIT, MULTINET/AXP kit not installed"
$     w = f$setprv(procedure_PRIVS)
$     exit
$ endif
$!
$ if (NETSTACK .eqs. "NO") .and. VAX .and. -
     (f$search("[.OBJ_VAX]PINE.OBJ_VAXNON") .eqs. "")
$   then
$     say "%PINEINSTALL-E-WRONGKIT, no TCP/IP support/VAX kit not installed"
$     w = f$setprv(procedure_PRIVS)
$     exit
$ endif
$!
$ if (NETSTACK .eqs. "NO") .and. (.not.VAX) .and. -
     (f$search("[.OBJ_ALPHA]PINE.OBJ_AXPNON") .eqs. "")
$   then
$     say "%PINEINSTALL-E-WRONGKIT, no TCP/IP support/AXP kit not installed"
$     w = f$setprv(procedure_PRIVS)
$     exit
$ endif
$!
$ create sys$output

		    PINE OpenVMS Installation procedure

  This procedure will perform the installation of PINE OpenVMS utility
$ say "on your system using ''NETSTACK' TCP/IP support. The PINE, POP3 and IMAP"
$ say "root directories will be set to"
$ say " "
$ say "                     ",PINE_dir
$ create sys$output

If you intend to install PINE on a different root directory, then exit
this procedure now, and move this directory and its complete subtree 
to the appropriate location. 

Again, if you are in a mixed VAX and AXP cluster environment, and you intend
to install PINE on both architectures, then it is suggested to select an
installation directory accessible from both VAX and AXP hosts. If the
current roor is not appropriate for this scope, then exit this procedure now,
and move this directory and its complete subtree to the appropriate location.

If you intend to install PINE with a different TCP/IP network support, then
exit this procedure now, and respecify the appropriate network support
when re-entering.

$ inquire  yesno  "  Are you ready to go?  [NO]"
$ if  .not.yesno
$   then w = f$setprv(procedure_PRIVS)
$     exit
$ endif
$!
$ if NETSTACK .nes. "NO" then goto havetcpstack
$ create sys$output

                       ********* W A R N I N G *********

            You are installing PINE without any TCP/IP stack support.
            ---------------------------------------------------------

  This will prevent PINE from sending correctly MIME format messages, and you
  will only be able to read incoming e-mail.

  If you have a TCP/IP stack installed (like for example UCX), it is suggested
  to exit this procedure now, install NETLIB and then proceed again to install
  PINE with TCP/IP support.

$ inquire  yesno  "  Do you want to continue?  [NO]"
$ if  .not.yesno
$   then w = f$setprv(procedure_PRIVS)
$     exit
$ endif
$!
$ havetcpstack:
$!
$ say " "
$ inquire pf "  Do you want to purge files replaced by this installation? [YES]"
$ if pf .eqs. "" then pf = "YES"
$!
$ create sys$output

  After this installation is complete, and if you are in a mixed VAX
$ say "  and AXP environment with ",NETSTACK," TCP/IP support on both platforms"
$ say "  and you selected a root directory for PINE accessible from both VAX"
$ say "  and AXP, then you can easily complete the installation on also on a ''archi':"
$ say "  just answer YES to the following question, then log in on the ''archi' host,"
$ say "  set default to ",PINE_dir," and execute again"
$ say "  @PINEINSTALL ",P1
$ say " "
$ inquire ninst "  Will you install PINE also on ''archi' afterwards ? [NO]"
$ if ninst .eqs. "" then ninst = "NO"
$ say " "
$ say "Preparing objects for installation..."
$!
$ if (NETSTACK .eqs. "NETLIB") .and. VAX
$   then
$     rename/nolog/noconf [...]*.OBJ_VAXNET [...]*.OBJ
$     delete/nolog/noconf [...]*.OBJ_VAXMUL;*
$     delete/nolog/noconf [...]*.OBJ_VAXNON;*
$ endif
$!
$ if (NETSTACK .eqs. "NETLIB") .and. (.not.VAX)
$   then
$     rename/nolog/noconf [...]*.OBJ_AXPNET [...]*.OBJ
$     delete/nolog/noconf [...]*.OBJ_AXPMUL;*
$     delete/nolog/noconf [...]*.OBJ_AXPNON;*
$ endif
$!
$ if (NETSTACK .eqs. "MULTINET") .and. VAX
$   then
$     rename/nolog/noconf [...]*.OBJ_VAXMUL [...]*.OBJ
$     delete/nolog/noconf [...]*.OBJ_VAXNON;*
$     delete/nolog/noconf [...]*.OBJ_VAXNET;*
$ endif
$!
$ if (NETSTACK .eqs. "MULTINET") .and. (.not.VAX)
$   then
$     rename/nolog/noconf [...]*.OBJ_AXPMUL [...]*.OBJ
$     delete/nolog/noconf [...]*.OBJ_AXPNON;*
$     delete/nolog/noconf [...]*.OBJ_AXPNET;*
$ endif
$!
$ if (NETSTACK .eqs. "NO") .and. VAX
$   then
$     rename/nolog/noconf [...]*.OBJ_VAXNON [...]*.OBJ
$     delete/nolog/noconf [...]*.OBJ_VAXMUL;*
$     delete/nolog/noconf [...]*.OBJ_VAXNET;*
$ endif
$!
$ if (NETSTACK .eqs. "NO") .and. (.not.VAX)
$   then
$     rename/nolog/noconf [...]*.OBJ_AXPNON [...]*.OBJ
$     delete/nolog/noconf [...]*.OBJ_AXPMUL;*
$     delete/nolog/noconf [...]*.OBJ_AXPNET;*
$ endif
$!
$ say " "
$ say "Preparing libraries for installation..."
$ if VAX
$   then say "... Creating C-Client library (VAX)"
$        LIBRARY/OBJECT/CREATE/INSERT [.OBJ_VAX]C-CLIENT.OLB -
         [.OBJ_VAX.C-CLIENT]os_vms,vms_mail,mail,smtp,rfc822,newsrc,nntp,-
         nntpcvms,MISC,IMAP2,SM_VMS
$        say "... Creating PICO library (VAX)"
$        LIBRARY/OBJECT/CREATE/INSERT [.OBJ_VAX]PICO.OLB -
         [.OBJ_VAX.PICO]attach,ansi,basic,bind,browse,buffer,composer,-
         display,file,fileio,line,pico,random,region,search,spell,window,-
         word,os_vms
$        say "... Creating PINE library (VAX)"
$        LIBRARY/OBJECT/CREATE/INSERT [.OBJ_VAX]PINE.OLB [.OBJ_VAX]*.OBJ
$   else say "... Creating C-Client library (AXP)"
$        LIBRARY/OBJECT/CREATE/INSERT [.OBJ_ALPHA]C-CLIENT.OLB -
         [.OBJ_ALPHA.C-CLIENT]os_vms,vms_mail,mail,smtp,rfc822,newsrc,nntp,-
         nntpcvms,MISC,IMAP2,SM_VMS
$        say "... Creating PICO library (AXP)"
$        LIBRARY/OBJECT/CREATE/INSERT [.OBJ_ALPHA]PICO.OLB -
         [.OBJ_ALPHA.PICO]attach,ansi,basic,bind,browse,buffer,composer,-
         display,file,fileio,line,pico,random,region,search,spell,window,-
         word,os_vms
$        say "... Creating PINE library (AXP)"
$        LIBRARY/OBJECT/CREATE/INSERT [.OBJ_ALPHA]PINE.OLB [.OBJ_ALPHA]*.OBJ
$ endif
$ say " "
$ say "Setting up directories for installation..."
$!
$ if f$search("BIN_VAX.DIR") .eqs. ""
$   then create/directory/log [.BIN_VAX]
$   else say "... [.BIN_VAX] already exists, ok"
$ endif
$ if f$search("BIN_ALPHA.DIR") .eqs. ""
$   then create/directory/log [.BIN_ALPHA]
$   else say "... [.BIN_ALPHA] already exists, ok"
$ endif
$ if f$search("CONFIG.DIR") .eqs. ""
$   then create/directory/log [.CONFIG]
$   else say "... [.CONFIG] already exists, ok"
$ endif
$ if f$search("LOGS.DIR") .eqs. ""
$   then create/directory/log [.LOGS]
$   else say "... [.LOGS] already exists, ok"
$ endif
$!
$ say " "
$ if P1 .eqs. ""
$   then @VMSBUILD LINK-ONLY,INSTALL-RUN
$   else @VMSBUILD 'P1',LINK-ONLY,INSTALL-RUN
$ endif
$!
$ say " "
$ say "Setting up environment and moving files to final destination..."
$!
$ @IMAPD_SETUP
$ @IPOP3D_SETUP
$ @CCLIENT_SETUP
$ @PINE_SETUP
$!
$ @INSTALL
$!
$ if f$search("IMAPD_CONF_DIR:MAIL.MAI") .nes. "" then -
  delete/nolog/noconf IMAPD_CONF_DIR:MAIL.MAI;*
$ copy/nolog/noconf MAIL.MAI-TEMPLATE IMAPD_CONF_DIR:MAIL.MAI/prot=w:r
$!
$! final clean up
$!
$ delete/nolog/noconf [...]*.OBJ;*,*.OLB;*
$ delete/nolog/noconf IMAPD_SETUP.COM;
$ delete/nolog/noconf IPOP3D_SETUP.COM;
$ delete/nolog/noconf CCLIENT_SETUP.COM;
$ delete/nolog/noconf PINE_SETUP.COM;
$ if VAX
$   then delete/nolog/noconf [.EXE_VAX]*.*;*
$        set file/prot=w:rwed  EXE_VAX.DIR
$        delete/nolog/noconf   EXE_VAX.DIR;*
$   else delete/nolog/noconf [.EXE_ALPHA]*.*;*
$        set file/prot=w:rwed  EXE_ALPHA.DIR
$        delete/nolog/noconf   EXE_ALPHA.DIR;*
$ endif
$ if ninst
$   then say " "
$        say "Installation kit for follow up ''archi' installation saved."
$        say " "
$   else set file/prot=o:rwed CONTRIB.DIR
$        set file/prot=o:rwed [.CONTRIB]VMS.DIR
$        set file/prot=o:rwed IMAP.DIR
$        set file/prot=o:rwed [.IMAP]ANSI.DIR
$        set file/prot=o:rwed [.IMAP.ANSI]C-CLIENT.DIR
$        set file/prot=o:rwed PICO.DIR
$        set file/prot=o:rwed PINE.DIR
$        set file/prot=o:rwed OBJ_ALPHA.DIR
$        set file/prot=o:rwed [.OBJ_ALPHA]C-CLIENT.DIR
$        set file/prot=o:rwed [.OBJ_ALPHA]PICO.DIR
$        set file/prot=o:rwed OBJ_VAX.DIR
$        set file/prot=o:rwed [.OBJ_VAX]C-CLIENT.DIR
$        set file/prot=o:rwed [.OBJ_VAX]PICO.DIR
$        delete/nolog/noconf  [...]*.OPT;*
$        delete/nolog/noconf  BUILDKIT.COM;*
$        delete/nolog/noconf  INSTALL.COM;*
$        delete/nolog/noconf  MAKECLEAN.COM;*
$        delete/nolog/noconf  VMSBUILD.COM;*
$        delete/nolog/noconf  MAIL.MAI-TEMPLATE;*
$        delete/nolog/noconf  [.CONTRIB.VMS]*.*.*
$        delete/nolog/noconf  [.CONTRIB]VMS.DIR;*
$        delete/nolog/noconf  CONTRIB.DIR;*
$        delete/nolog/noconf  [.IMAP.ANSI.C-CLIENT]*.*.*
$        delete/nolog/noconf  [.IMAP.ANSI]C-CLIENT.DIR;*
$        delete/nolog/noconf  [.IMAP]ANSI.DIR;*
$        delete/nolog/noconf  IMAP.DIR;*
$        delete/nolog/noconf  [.PICO]*.*.*
$        delete/nolog/noconf  PICO.DIR;*
$        delete/nolog/noconf  [.PINE]*.*.*
$        delete/nolog/noconf  PINE.DIR;*
$        if f$search("[.OBJ_ALPHA.C-CLIENT]*.*") .nes. "" then -
            delete/nolog/noconf [.OBJ_ALPHA.C-CLIENT]*.*;*
$        if f$search("[.OBJ_ALPHA.PICO]*.*") .nes. "" then -
            delete/nolog/noconf [.OBJ_ALPHA.PICO]*.*;*
$        if f$search("[.OBJ_ALPHA]*.*") .nes. "" then -
            delete/nolog/noconf [.OBJ_ALPHA]*.*;*
$        if f$search("[.OBJ_VAX.C-CLIENT]*.*") .nes. "" then -
            delete/nolog/noconf [.OBJ_VAX.C-CLIENT]*.*;*
$        if f$search("[.OBJ_VAX.PICO]*.*") .nes. "" then -
            delete/nolog/noconf [.OBJ_VAX.PICO]*.*;*
$        if f$search("[.OBJ_VAX]*.*") .nes. "" then -
            delete/nolog/noconf [.OBJ_VAX]*.*;*
$        delete/nolog/noconf  OBJ_ALPHA.DIR;* 
$        delete/nolog/noconf  OBJ_VAX.DIR;* 
$ endif
$ if pf then purge/nolog/noconf [...]*.*
$ if VAX then set file/owner=parent/exclude=(pineinstall.com,[.BIN_ALPHA]pine.exe) [...]*.*.*
$ if .not.VAX then set file/owner=parent/exclude=(pineinstall.com,[.BIN_VAX]pine.exe) [...]*.*.*
$ set file/prot=w:re [...]*.dir
$ set file/prot=w:e [...]*.exe
$ if f$search("[.CONFIG]*.*") .nes. "" then set file/prot=w:r [.CONFIG]*.*
$!
$ create sys$output

                PINE for OpenVMS installation ended successfully.

$ inquire cf "  Do you want to configure PINE now? [YES]"
$ if cf .eqs. "" then cf = "YES"
$ if cf then @PINE_CONFIG INSTALL
$ create sys$output

	PINE installation completed. Now remember to complete
	your installation as in the "Post-Installation" paragraph
	of AAAREADME.TXT

$ if .not.ninst then delete/nolog/noconf PINEINSTALL.COM;*
$ w = f$setprv(procedure_PRIVS)
$ exit
