$! VMSBUILD.COM - Calls the subdirectories VMSBUILD.
$! Can be called with options separated with commas and no spaces. The
$! options are:
$!
$! P1   Build options
$!      NOTCP, MULTINET, NETLIB - Select TCP stack support
$!      COMPILE-ONLY            - Bypass link stage
$!      LINK-ONLY               - Bypass compilation stage
$!      VAXC                    - Force use of VAXC
$!      GNUC                    - Force use of GNUC
$!      DEBUG                   - compile/link with debugger support
$!      NOTRACEBACK             - links without traceback
$!      OPTIMIZE                - Forces optimization if DEBUG 
$!      INSTALL-RUN             - do not type ending information
$!
$! P2   List of modules to be compiled (passed to specific VMSBUILD procedures)
$!      a,b,c,...               - Compile a,b,c,... only
$!      NULL                    - Compile everything
$!
$!
$ Arch = "VAX"
$ if f$getsyi("VERSION") .GES. "V5.5" then $ Arch=f$getsyi("ARCH_NAME")
$ write sys$output "%VMSBUILD-I-BEGIN, Begin build for ''Arch' architecture"
$
$ IF F$SEARCH("[.CONTRIB.VMS]VMSBUILD_CCLIENT.COM") .NES. "" then -
	COPY [.CONTRIB.VMS]VMSBUILD_CCLIENT.COM [.IMAP.ANSI.C-CLIENT]VMSBUILD.COM;
$ IF F$SEARCH("[.CONTRIB.VMS]VMSBUILD_PICO.COM") .NES. "" then -
	COPY [.CONTRIB.VMS]VMSBUILD_PICO.COM [.PICO]VMSBUILD.COM;
$ IF F$SEARCH("[.CONTRIB.VMS]VMSBUILD_PINE.COM") .NES. "" then -
	COPY [.CONTRIB.VMS]VMSBUILD_PINE.COM [.PINE]VMSBUILD.COM;
$ PURGE/NOLOG [.IMAP.ANSI.C-CLIENT]VMSBUILD.COM
$ PURGE/NOLOG [.PICO]VMSBUILD.COM
$ PURGE/NOLOG [.PINE]VMSBUILD.COM
$
$ SET DEF [.PICO]
$@VMSBUILD 'P1' 'P2'
$ SET DEF [-.IMAP.ANSI.C-CLIENT]
$@VMSBUILD 'P1' 'P2'
$ SET DEF [---.PINE]
$@VMSBUILD 'P1' 'P2'
$ SET DEF [-]
$!
$ if f$locate("COMPILE-ONLY",P1) .lt. f$length(P1) then $ EXIT
$ if f$locate("INSTALL-RUN",P1) .lt. f$length(P1) then $ EXIT
$!
$ write sys$output "%VMSBUILD-I-EXECS, Executables are in [.EXE_''Arch']"
$
$ TYPE/NOPAGE SYS$INPUT:
PICO.EXE
   The stand-alone editor (not needed by users).

MTEST.EXE
   Interactive testing program (not needed by users).

IMAPD.EXE
   The IMAP daemon. Should be copied elsewhere and defined in your
   TCP stack's master server on port 143

IPOP3D.EXE
   The POP3 daemon. Should be copied elsewhere and defined in your
   TCP stack's master server on port 110.

PINE.EXE
   The user's mail client

$!
$ EXIT
